
/*******************************************************************************
 * Copyright (c) 2004, 2005 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/
package org.eclipse.birt.report.engine;


import junit.framework.Test;
import junit.framework.TestSuite;


/**
 * 
 */

public class AllTests
{

	public static Test suite( )
	{
		TestSuite suite = new TestSuite( "Test for org.eclipse.birt.report.engine" );
		//$JUnit-BEGIN$

		/* in package: org.eclipse.birt.report.engine.api */
		suite.addTestSuite( org.eclipse.birt.report.engine.api.DataIDTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.api.DataSetIDTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.api.InstanceIDTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.api.PageHandlerTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.api.ProgressiveViewingTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.api.RenderTaskTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.api.ReportletTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.api.ReportRunnerTest.class );
		//suite.addTestSuite( org.eclipse.birt.report.engine.api.RunAndRenderApp.class );/* No tests found in it */
		suite.addTestSuite( org.eclipse.birt.report.engine.api.RunTaskTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.api.TOCTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.api.ParameterConverterTest.class );
		
		/* in package: org.eclipse.birt.report.engine.api.impl */
		suite.addTestSuite( org.eclipse.birt.report.engine.api.impl.DataExtractionTaskTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.api.impl.ReportDocumentTest.class );
		
		/* in package: org.eclipse.birt.report.engine.api.script */
		suite.addTestSuite( org.eclipse.birt.report.engine.api.script.RowDataTest.class );
		
		/* in package: org.eclipse.birt.report.engine.api.script.element */
		suite.addTestSuite( org.eclipse.birt.report.engine.api.script.element.ElementTest.class );
		
		/* in package: org.eclipse.birt.report.engine.api.script.instance */
		suite.addTestSuite( org.eclipse.birt.report.engine.api.script.instance.InstanceTest.class );
		
		/* in package: org.eclipse.birt.report.engine.content */
		suite.addTestSuite( org.eclipse.birt.report.engine.content.ReportContentReaderAndWriterTest.class );
		
		/* in package: org.eclipse.birt.report.engine.css */
		suite.addTestSuite( org.eclipse.birt.report.engine.css.CSSPaserTest.class );
		
		/* in package: org.eclipse.birt.report.engine.css.dom */
		suite.addTestSuite( org.eclipse.birt.report.engine.css.dom.StyleDeclarationTest.class );
		
		/* in package: org.eclipse.birt.report.engine.css.engine */
		suite.addTestSuite( org.eclipse.birt.report.engine.css.engine.PerfectHashTest.class );
		
		/* in package: org.eclipse.birt.report.engine.data.dte */
		suite.addTestSuite( org.eclipse.birt.report.engine.data.dte.DataEngineTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.data.dte.NamedExpressionTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.data.dte.ReportQueryBuilderTest.class );
		
		/* in package: org.eclipse.birt.report.engine.emitter */
		suite.addTestSuite( org.eclipse.birt.report.engine.emitter.EmbeddedHyperlinkProcessorTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.emitter.XMLWriterTest.class );
		
		/* in package: org.eclipse.birt.report.engine.executor */
		suite.addTestSuite( org.eclipse.birt.report.engine.executor.DataItemExecutorTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.executor.ExecutorManagerTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.executor.GridItemExecutorTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.executor.ImageItemExecutorTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.executor.LabelItemExecutorTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.executor.ListItemExecutorTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.executor.MultiLineItemExecutorTest.class );
		//suite.addTestSuite( org.eclipse.birt.report.engine.executor.ReportItemExecutorTestAbs.class );/* No tests found in it */
		suite.addTestSuite( org.eclipse.birt.report.engine.executor.TableItemExecutorTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.executor.TextItemExecutorTest.class );
		
		/* in package: org.eclipse.birt.report.engine.executor.buffermgr */
		suite.addTestSuite( org.eclipse.birt.report.engine.executor.buffermgr.TableTest.class );
		
		/* in package: org.eclipse.birt.report.engine.executor.css */
		suite.addTestSuite( org.eclipse.birt.report.engine.executor.css.CssParserTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.executor.css.HTMLProcessorTest.class );
		
		
		/* in package: org.eclipse.birt.report.engine.i18n */
		suite.addTestSuite( org.eclipse.birt.report.engine.i18n.EngineResourceHandleTest.class );
		
		/* in package: org.eclipse.birt.report.engine.impl */
		suite.addTestSuite( org.eclipse.birt.report.engine.impl.ReportRunnerTest.class );
		
		/* in package: org.eclipse.birt.report.engine.internal.document */
		suite.addTestSuite( org.eclipse.birt.report.engine.internal.document.OffsetIndexReaderWriterTest.class );
		
		/* in package: org.eclipse.birt.report.engine.internal.document.v2 */
		suite.addTestSuite( org.eclipse.birt.report.engine.internal.document.v2.PageHintTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.internal.document.v2.ReportContentTest.class );
		
		/* in package: org.eclipse.birt.report.engine.ir */
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.DataItemTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.CellTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.MapTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.RowTypeTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.MultiLineItemTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.TableGroupTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.ReportTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.ExpressionTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.ActionTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.ImageItemTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.TableItemTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.PageSequenceTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.LabelItemTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.DimensionTypeTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.PageSetupTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.DrillThroughActionDesignTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.ColumnTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.TableBandTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.GraphicMasterPageTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.SimpleMasterPageTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.GridItemTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.HighlightTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.FreeFormItemTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.MapRuleTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.ListItemTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.ListBandTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.ir.TextItemTest.class );
		
		/* in package: org.eclipse.birt.report.engine.parser */
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.PageSetupTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.ListDesignTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.StyleDesignTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.TextDesignTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.ImageItemDesignTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.GridItemDesignTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.FreeFormDesignTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.DataDesignTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.TextParserTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.LabelItemDesignTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.TestPromptText.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.HighlightTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.MultiLineItemDesignTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.MapDesignTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.TableItemDesignTest.class );
		suite.addTestSuite( org.eclipse.birt.report.engine.parser.SuppressDuplicateDataItemTest.class );
		
		/* in package: org.eclipse.birt.report.engine.presentation */
		suite.addTestSuite( org.eclipse.birt.report.engine.presentation.HtmlPaginateEmitterTest.class );
		//suite.addTestSuite( org.eclipse.birt.report.engine.presentation.XMLContentReader.class );/* No tests found in it */
		suite.addTestSuite( org.eclipse.birt.report.engine.presentation.XMLContentReaderWriterTest.class );
		//suite.addTestSuite( org.eclipse.birt.report.engine.presentation.XMLContentWriter.class );/* No tests found in it */
		
		/* in package: org.eclipse.birt.report.engine.toc */
		suite.addTestSuite( org.eclipse.birt.report.engine.toc.TOCBuilderTest.class );
		
		/* in package: org.eclipse.birt.report.engine.util */
		suite.addTestSuite( org.eclipse.birt.report.engine.util.FileUtilTest.class );
		
		//$JUnit-END$
		return suite;
	}

}
